10 REM ***** ACTIVE ELLIPTIC FILTER DESIGN AID *****
20 REM
30 REM RUNS UNDER MICROSOFT BASIC
40 REM
50 OPEN "I", #1, "CONFIG.DAT" :INPUT #1,A$
52 INPUT #1,N:FOR I=1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
55 REM Copyright 1982 Gary A. Field
60 REM LAST UPDATED 06/16/85
62 REM
64 REM FORMULAE FROM EDN, MARCH 3,1982
68 REM
70 REM VARIABLE USAGE
160 REM
200 DIM R1(14), R2(14), R3(14), K(13)
210 DIM C1(14), C2(14), C3(14)
290 REM
500 IF E$="CLS" THEN CLS:ELSE PRINT E$;
505 PRINT TAB(20);"ACTIVE ELLIPTIC FILTER DESIGN":PRINT
510 PRINT "(1) Elliptic Response Low Pass"
520 PRINT "(2) Elliptic Response High Pass"
545 PRINT "(M) Return to Main Menu"
550 PRINT
555 PRINT "Enter choice ";: INPUT A$
560 IF A$ = "1" THEN 1000
570 IF A$ = "2" THEN 2000
580 IF A$ = "M" THEN 9900
585 IF A$ = "m" THEN 9900
600 GOTO 500
1000 IF E$="CLS" THEN CLS:ELSE PRINT E$;
1005 PRINT TAB(15);"LOW PASS FILTER"
1010 GOSUB 8000
1015 PRINT: PRINT "Refer to Schematic # 11, for this design"
1020 GOSUB 6000
1200 REM *** CALCULATE VALUES ***
1205 C = 1/Z/F0
1207 R = 1*Z
1210 R1 = K(1) * Z
1220 I = 2 : J = 2
1230 R1(I) = (K(J) * Z): J=J+1
1240 R2(I) = (K(J) * Z): J=J+1
1250 R3(I) = (K(J) * Z): J=J+1
1260 I = I+1 : IF J > N+INT(N/2) THEN 1300
1270 GOTO 1230
1300 REM *** PRINT THE VALUES ***
1310 PRINT "  R  = ";:PRINT USING "######.#";R;:PRINT " Ohms"
1320 PRINT "  C  = ";:PRINT USING "##.######";C*1000000!;:PRINT " uF"
1325 PRINT
1330 PRINT " R1  = ";:PRINT USING "######.#";R1;:PRINT " Ohms"
1340 PRINT
1350 I=2:J=2
1360 PRINT "RL";I;"= ";:PRINT USING "######.#";R1(I);:PRINT " Ohms"
1370 J=J+1
1380 PRINT "RC";I;"= ";:PRINT USING "######.#";R2(I);:PRINT " Ohms"
1390 J=J+1
1400 PRINT " R";I;"= ";:PRINT USING "######.#";R3(I);:PRINT " Ohms"
1410 J=J+1
1415 PRINT
1420 I = I+1 : IF J > (N+INT(N/2)) THEN 2990
1500 GOTO 1360
1995 GOTO 9000
2000 REM *** HIGH PASS FILTER ***
2010 IF E$="CLS" THEN CLS : ELSE PRINT E$;
2015 PRINT TAB(15);"HIGH PASS FILTER"
2015 PRINT: PRINT "Refer to Schematic # 12, for this design"
2020 GOSUB 8000
2030 GOSUB 6000
2200 REM CALCULATE VALUES ***
2205 R = 1*Z
2210 C1 = (1/K(1)) / Z / F0
2220 I = 2 : J = 2
2230 C1(I) = ((1/K(J))/ F0) / Z : J=J+1
2240 C2(I) = ((1/K(J))/ F0) / Z : J=J+1
2250 C3(I) = ((1/K(J))/ F0) / Z : J=J+1
2260 I = I+1 : IF J > (N+INT(N/2)) THEN 2300
2270 GOTO 2230
2300 REM *** PRINT THE VALUES ***
2310 PRINT "  R  = ";:PRINT USING "######.#";R;:PRINT " Ohms"
2330 PRINT " C1  = ";:PRINT USING "##.######";C1*1000000!;:PRINT " uF"
2340 PRINT
2350 I=2:J=2
2360 PRINT "CL";I;"= ";:PRINT USING "##.######";C1(I)*1000000!;:PRINT " uF"
2370 J=J+1
2380 PRINT "CC";I;"= ";:PRINT USING "##.######";C2(I)*1000000!;:PRINT " uF"
2390 J=J+1
2400 PRINT " C";I;"= ";:PRINT USING "##.######";C3(I)*1000000!;:PRINT " uF"
2410 J=J+1
2415 PRINT
2420 I = I+1 : IF J > (N+INT(N/2)) THEN 2990
2500 GOTO 2360
2990 GOTO 9000
6000 REM *** LOOK UP TABLE VALUES ***
6100 IF N <> 3 THEN 6140
6110 K(1) = 1.85199:K(2) = .85903:K(3) = .2259:K(4) = 1.85199
6120 GOTO 6600
6140 IF N <> 5 THEN 6180
6150 K(1) = 2.05594: K(2) = 1.03392 :K(3) = 9.151999E-02 :K(4) = 2.73567:K(5) = .93561:K(6) = .24486:K(7) = 1.91939
6170 GOTO 6600
6180 IF N <> 7 THEN 6220
6190 K(1) = 2.12329: K(2) = 1.07993 :K(3) = .04884 :K(4) = 2.84446:K(5) = 1.01638:K(6) = .23538:K(7) = 2.75306:K(8) = 1.00567:K(9) = .16034:K(10) = 2.01924
6200 GOTO 6600
6220 IF N <> 9 THEN 6500
6230 K(1) = 2.15275: K(2) = 1.09942:K(3) = .03012 :K(4) = 2.92871:K(5) = 1.06415
6240 K(6) = .18236:K(7) = 2.7968:K(8) = 1.02979:K(9) = .23642:K(10) = 2.81748:K(11) = 1.04688:K(12) = .10706:K(13) = 2.07916
6250 GOTO 6600
6500 N = N+1 :GOTO 6000
6600 RETURN
8000 REM *** GET INPUT PARAMETERS ***
8010 PRINT
8020 PRINT "Enter Cutoff (-3dB) FREQUENCY (Hz) ";
8030 INPUT F0 :F0 = F0 * 6.28318: REM Convert to Radians/sec.
8040 IF F0 > 1 THEN 8060
8050 PRINT "I know you don't really mean that..":GOTO 8010
8060 IF F0 > 2000000!  THEN GOTO 8050
8100 PRINT "Enter NUMBER of poles (3, 5, 7 or 9) ";
8110 INPUT N:N = INT(N)
8111 IF N > 9 THEN 8100
8112 IF N < 3 THEN 8100
8118 PRINT
8150 PRINT "Enter desired IMPEDANCE (Ohms) ";
8160 INPUT Z
8170 PRINT
8500 RETURN
8990 REM
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9022 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
