10 REM ***** ACTIVE FILTER PLOTTER *****
20 REM
30 REM RUNS UNDER MICROSOFT BASIC
40 REM
50 OPEN "I",#1, "CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I=1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
55 REM Copyright 1982 Gary A. Field
60 REM LAST UPDATED 07/16/85
65 REM
70 REM
80 REM
210 REM
220 DIM F(4), Q(4), G(4,200), G1(200)
290 REM
500 IF E$="CLS" THEN CLS:ELSE PRINT E$;
505 PRINT TAB(20);"RESPONSE PLOTTER":PRINT
510 PRINT "(1) Plot a Multi-stage Filter Response"
540 PRINT "(M) Return to Main Menu"
550 PRINT : PRINT "Enter choice ";: INPUT A$
560 IF A$ = "1" THEN 1000
580 IF A$ = "m" THEN 9900
595 IF A$ = "M" THEN 9900
600 GOTO 500
1000 REM *** PLOT FILTER RESPONSE ***
1010 IF E$="CLS" THEN CLS:ELSE PRINT E$;
1015 PRINT TAB(20);"PLOT MULTI-STAGE FILTER RESPONSE"
1020 PRINT
1030 FOR I = 1 TO 200: G(1,I)=0: G(2,I)=0: G(3,I)=0: G(4,I)=0 :G1(I)=0 : NEXT I
1040 PRINT "Enter number of stages ( 1 to 4)";
1050 INPUT N
1060 IF N > 4 THEN 1040
1070 FOR I = 1 TO N
1080     PRINT "Enter CENTER FREQUENCY (Hz) for stage";I;
1090     INPUT F(I)
1100     PRINT "Enter Q for stage";I;
1110     INPUT Q(I)
1120 NEXT I
1125 PRINT: PRINT "Computing Response ...";
1130 REM ***** FIND LOWEST,CENTER & HIGHEST FREQUENCY & NORMALIZE THEM *****
1140 M1 = F(1): M2 = F(1)
1150 FOR I = 1 TO N
1160     IF F(I) < M1 THEN M1=F(I)
1170     IF F(I) > M2 THEN M2=F(I)
1180 NEXT I
1190 F5 = ((M1+M2)/2)
1200 FOR I = 1 TO N
1210     F(I) = F(I)/F5
1220 NEXT I
1230 M1=M1/F5: M2 = M2/F5 : F8 = ((M1+M2)/2)
1240 REM *** CALCULATE LOSS FOR EACH STAGE AT EACH FREQUENCY ***
1250 S9 = (LOG(2.2*M2)-LOG(.4*M1)) / 55
1260 FOR S = 1 TO N
1270      I=1
1280      FOR S1 = LOG(.4*M1) TO LOG(2.2*M2) STEP S9
1290          F =  EXP(S1) / F(S)
1300          G(S,I) = -20 * (LOG(SQR(1+ (Q(S)^2)*(((F^2)-1)/F)^2)) *.43429)
1310          I=I+1
1320      NEXT S1
1330 NEXT S
1340 N9=I-1: REM HOW MANY POINTS WERE PLOTTED
1350 REM *** ADD RESPONSES OF ALL STAGES TOGETHER ***
1360 M9 = -2000
1370 FOR I = 1 TO N9
1380      G1(I) = G(1,I) + G(2,I) + G(3,I) + G(4,I)
1390      IF M9 < G1(I) THEN M9 = G1(I)
1400 NEXT I
1410 REM M9 = lowest insertion loss
1420 REM *** PRINT THE PLOT ***
1422 PRINT "Make sure printer is ON-LINE and at top-of form"
1423 PRINT "Hit RETURN when ready";:INPUT A$
1425 PRINT CHR$(13);:PRINT "Printing Response Plot ...";
1440 LPRINT "dB --->70   65   60   55   50   45   40   35   30   25   20   15   10    5    0"
1450 LPRINT "Hz  ----I----I----I----I----I----I----I----I----I----I----I----I----I----I----I"
1460 M5 = M9-76
1470 F9 = .4*M1 * F5 :REM STARTING FREQUENCY (Hz)
1490 S8=0
1500 FOR I = 1 TO N9
1510      IF G1(I) > M5 THEN 1540
1520      LPRINT USING "#####.#"; F9;: LPRINT ; " I*"
1530      GOTO 1560
1540      LPRINT USING "#####.#"; F9;: LPRINT " I"; TAB(INT(-M5+G1(I)));"*
1550      F9 = F9 * EXP(S9)
1560 NEXT I
1570 LPRINT  "PASSBAND GAIN = ";M9;: LPRINT " dB"
1950 PRINT CHR$(13); :PRINT "                           " : PRINT
1990 GOTO 9000
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
