10 REM RFCAD CONFIGURATION UTILITY
20 REM COPYRIGHT GARY FIELD 1985-1988
30 REM LAST MODIFIED 03/04/88
40 PRINT:PRINT
50 PRINT TAB(10);"RFCAD Package Configuration Utility"
60 PRINT
70 OPEN "O" , #1, "CONFIG.DAT"
80 PRINT #1, "Ver. 3.73"
90 PRINT
500 PRINT "Which of the following systems are you running:"
510 PRINT "    1) IBM PC or compatible"
520 PRINT "    2) Wang PC or APC"
524 PRINT "    3) Heath/Zenith H100/Z100"
526 PRINT "    4) CP/M system with Heath H-19 terminal"
530 PRINT "    5) None of the above"
535 PRINT
540 PRINT "Select one by number:";:INPUT A$
550 IF A$ = "1" THEN 1000
560 IF A$ = "2" THEN 2000
570 IF A$ = "3" THEN 1000
574 IF A$ = "4" THEN 2500
576 IF A$ = "5" THEN 3000
590 GOTO 500
1000 REM IBM PC
1010 N = 3
1020 E$ = "CLS"
1090 GOTO 6000
2000 REM Wang PC
2010 N = 1
2020 E$ = CHR$(12)
2090 GOTO 6000
2500 REM CP/M system with H-19 Terminal
2510 N=2
2520 E$= CHR$(27)+"E"
2530 GOTO 6000
3000 PRINT "How many bytes must be sent to your screen to CLEAR it ";
3010 INPUT N
3020 PRINT "Enter the bytes in DECIMAL"
3030 E$ = ""
3040 FOR I = 1 TO N
3050     PRINT "Enter ";" #";I;:INPUT S
3060     E$ = E$+CHR$(S)
3070 NEXT I
3090 GOTO 6000
6000 IF E$="CLS" THEN CLS: ELSE PRINT E$;
6010 PRINT "Did your screen just clear (Y/N) ";:INPUT A$
6020 IF A$ = "Y" OR A$ = "y" THEN 6050
6030 PRINT "Incorrect clear screen codes - Please try again "
6035 PRINT
6040 GOTO 500
6045 REM SAVE THE CLEAR SCREEN CODES OUT TO THE CONFIG.DAT FILE
6050 PRINT #1,N
6060 FOR I = 1 TO N
6070     PRINT #1,ASC(MID$(E$,I,1))
6080 NEXT I
6085 IF E$="CLS" THEN CLS: ELSE PRINT E$;
6090 PRINT
6091 PRINT "Throughout this package when you are asked to enter more than"
6092 PRINT "one parameter on a line, you are required to separate them"
6093 PRINT "with commas."
6094 PRINT:PRINT "For Example; if one was prompted:"
6095 PRINT "ENTER YOUR NAME (First,Middle,Last)?"
6096 PRINT "One might enter ---->               Gary,A,Field"
6097 PRINT:PRINT "BASIC requires the commas separating the three parameters."
6098 PRINT "Of course, you must also complete all input by hitting the RETURN key"
6099 PRINT
6100 PRINT "Enter your default geographical location as follows:"
6110 PRINT "What is your LATITUDE (deg,mins,secs  -deg for southern hemisphere) ";:INPUT D1,D2,D3
6120 PRINT #1,D1
6130 PRINT #1,D2
6140 PRINT #1,D3
6150 PRINT "What is your LONGITUDE (deg,mins,secs  -deg for eastern hemisphere) ";:INPUT D4,D5,D6
6160 PRINT #1,D4
6170 PRINT #1,D5
6180 PRINT #1,D6
6190 PRINT
6200 PRINT "Which drive contains the RFCAD programs (A:, B:, C:, or D:) ";
6210 INPUT D$
6220 IF D$ = "a:" THEN D$ = "A:"
6230 IF D$ = "a" THEN D$ = "A:"
6240 IF D$ = "A" THEN D$ = "A:"
6250 IF D$ = "b:" THEN D$ = "B:"
6260 IF D$ = "b" THEN D$ = "B:"
6270 IF D$ = "B" THEN D$ = "B:"
6280 IF D$ = "c:" THEN D$ = "C:"
6290 IF D$ = "c" THEN D$ = "C:"
6300 IF D$ = "C" THEN D$ = "C:"
6302 IF D$ = "d:" THEN D$ = "D:"
6304 IF D$ = "d" THEN D$ = "D:"
6306 IF D$ = "D" THEN D$ = "D:"
6310 IF D$ = "A:" THEN 6360
6320 IF D$ = "B:" THEN 6360
6330 IF D$ = "C:" THEN 6360
6335 IF D$ = "D:" THEN 6360
6340 PRINT "Invalid drive specification "
6350 GOTO 6200
6360 PRINT #1,D$
6370 CLOSE #1
6380 PRINT:PRINT
6390 PRINT "RF CAD PACKAGE FULLY CUSTOMIZED TO YOUR SYSTEM"
6400 FOR I = 1 TO 1000:NEXT I
6410 RUN "CADMENU.BAS"
6420 END

6390 PRINT "RF CAD PACKAGE FULLY CUSTOMIZED TO YOUR SYSTE