10 REM ***** HELICAL ANTENNA DESIGNER *****
20 REM
30 REM Copyright 1982 Gary A. Field
40 REM
42 REM Last Modified 06/30/83
44 REM
45 REM RUNS UNDER MICROSOFT BASIC VER. 5.03
46 REM
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I = 1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
55 REM Z1 = Matching section Impedance
60 REM L = Overall Length
70 REM L1 = Conductor Length
75 REM L9 = Wavelength at operating frequency
80 REM D = Diameter of Helix
90 REM F = Operating Frequency
100 REM G = Gain (dB)
110 REM N = Number of turns in Helix
115 REM S = Spacing between turns
117 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
505 PRINT TAB(10);"HELICAL ANTENNA DESIGNER"
510 PRINT
520 PRINT "(1) Design Helical Antenna"
530 PRINT "(M) Return to Main Menu"
540 PRINT
550 PRINT "Enter choice ";
560 INPUT A$
570 IF A$ = "1" THEN 1000
580 IF A$ = "M" THEN 9900
590 IF A$ = "m" THEN 9900
600 GOTO 500
1000 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1010 PRINT TAB(15),"HELICAL ANTENNA DESIGNER"
1020 C9 = 100:U$ = " cm":REM DEFAULT CONSTANTS
1030 PRINT
1040 PRINT "Do you want Metric or English output (M/E) ";:INPUT A$
1050 IF A$ = "E" THEN 1070
1060 IF A$ <> "e" THEN 1080: REM DEFAULT TO METRIC
1070 C9 = 39.37:U$ = " In":REM USE ENGLISH CONSTANTS
1080 PRINT "For what FREQUENCY (MHz) ";
1090 INPUT F
1100 PRINT
1110 PRINT "Enter NUMBER of turns ";
1120 INPUT N
1130 PRINT
1140 PRINT "Enter transmission line IMPEDANCE (Ohms) ";
1150 INPUT Z
1160 PRINT
1170 L9 = 299.793/F
1180 D = L9/3.14159
1190 L1 = 1.1 * (D * 3.14159 * N)
1200 S = L9 *.23
1210 L = N * S : REM Length = Num. Turns * Spacing
1220 Z1 = SQR(140 * Z)
1230 G = 11.8 + (10! * (LOG( (N*S)/L9 )*.43429) ) :REM LOG Base 10
1240 PRINT "Characteristics of a ";N;" turn Helical Antenna for ";F;" Mhz"
1250 PRINT "Fed by ";Z;" Ohm transmission line."
1260 PRINT
1270 PRINT "Overall Length      = ";
1280 PRINT USING "####.##";L*C9;:PRINT U$
1300 PRINT "Diameter            = ";
1310 PRINT USING "####.##";D*C9;:PRINT U$
1320 PRINT "Turn Spacing        = ";
1330 PRINT USING "####.##";S*C9;:PRINT U$
1340 PRINT "Conductor Length    = ";
1350 PRINT USING "####.##";L1*C9;:PRINT U$
1360 PRINT "Reflector size      = ";
1370 PRINT USING "####.##";L9*C9;:PRINT U$;" square"
1380 PRINT
1390 PRINT "Matching section Z  = ";
1400 PRINT USING "###.#";Z1;:PRINT " Ohms"
1420 PRINT "Theoretical Gain    = ";
1430 PRINT USING "###.#";G;:PRINT " dB"
1440 PRINT
1450 GOTO 9000
9000 PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
