10 REM *****  MATCHING STRUCTURE DESIGN AID *****
20 REM
30 REM Copyright 1982 Gary A. Field
40 REM
45 REM LAST UPDATED 01/30/86
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I = 1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
60 REM
70 REM
80 REM RUNS UNDER MICROSOFT BAIC Ver. 5.03
90 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
510 PRINT TAB(25);"MATCHING STRUCTURE DESIGN AID"
520 PRINT
530 PRINT "(1) Inductor & capacitor sections"
540 PRINT "(2) Simple series transformer"
550 PRINT "(3) Series transformer with open shunt stub"
560 PRINT "(4) Calculate true reflection coefficients from 'S' Parameters"
570 PRINT "(M) Return to Main Menu"
580 PRINT:PRINT "Enter choice ";:INPUT A$
590 IF A$ = "1" THEN 1000
600 IF A$ = "2" THEN 2000
610 IF A$ = "3" THEN 3020
620 IF A$ = "4" THEN 4000
630 IF A$ = "M" THEN 9900
640 IF A$ = "m" THEN 9900
650 GOTO 500
1000 REM *** DESIGN INDUCTOR & CAPACITOR SECTIONS
1010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1020 PRINT "(1) Design series inductor"
1030 PRINT "2) Design shunt capacitor"
1040 PRINT
1050 PRIN "Enter choice ";:INPUT A$
1060 IF A$ = "1" THEN 1100
1070 IF A$ = "2" THEN 1500
1080 GOTO 1010
1100 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1110 PRINT "Enter desired series inductive reactance (Ohms) ";
1120 INPUT X
1130 PRINT "Enter desired line impedance (Ohms, typ=100) ";
1140 INPUT Z
1150 IF Z = 50 THEN PRINT "WARNING... inductor line must be different impedance than adjacent lines."
1160 PRINT
1170 T = ATN(X/Z)
1180 PNG "###.#";Q
1180 PRINT
1190 PRINT "O-----uuuuu-----+------O"
1200 PRINT "        L       I"
1210 PRINT "                I"
1220 PRINT "Z Low          ---     Z Hi"
1230 PRINT "            C  ---"
1240 PRINT "                I"
1250 PRINT "                I"
1260 PRINT "O---------------+------O"
1270 PRINT
1280 PRINT "Enter desired frequency for match (MHz) ";:INPUT F:F = F * 1000000!
1290 L = X1/(6.28318*F): L = L * 1000000!: REM FIND L in uH
1300 C = 1/(X2*6.28318*F): C = C * 1E+12: REM FIND C in pF
1310 PRINT
1320 PRINT "L = ";
1330 PRINT USING"####.###";L;:PRINT " uH"
1340 PRINT "C = ";
1350 PRINT USING"####.#";C;:PRINT " pF"
1360 GOTO 9000
2000 REM PI NETWORK DESIGN
2010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
2020 PRINT "Enter INPUT IMPEDANCE (Ohms) ";:INPUT R1
2030 PRINT "Enter OUTPUT IMPEDANCE (Ohms) ";:INPUT R2
2040 IF (R1/R2) < (R2/R1) THEN 2070
2050 Q0 = SQR((R1/R2)-1) :REM FIND MINIMUM USABLE Q
2060 GOTO 2080
2070 Q0 = SQR((R2/R1)-1) :REM FIND MINIMUM USABLE Q
2080 PRINT "Enter desired Q (>";
2090 PRINT USING "###.##)";Q0;:PRINT ") ";:INPUT Q
2100 IF Q < Q1 THEN 2080
2110 PRINT
2120 Q0=Q
2130 Q1 = ( (R1*Q0)-SQR(R1*R2*Q0^2-(R1-R2)^2) )/(R1-R2)
2140 Q2 = Q0-Q1
2150 XC1 = R1/Q1
2160 XC2 = R2/Q2
2170 XL = R1*Q0/(Q1^2+1)
2180 PRINT "Capacitive reactance of C1 = ";
2190 PRINT USING "####.#";XC1;
2200 PRINT " Ohms"
2210 PRINT "Inductive reactance of L1 = ";
2220 PRINT USING "####.#";XL;
2230 PRINT " Ohms"
2240 PRINT "Capacitive reactance of C2 = ";
2250 PRINT USING "####.#";XC2;
2260 PRINT " Ohms"
2270 PRINT
2280 PRINT "O-------+----uuuuu-----+------O"
2290 PRINT "        I      L1      I"
2300 PRINT "        I              I"
2310 PRINT "Z in   ---            ---     Z out"
2320 PRINT "       --- C1      C2 ---"
2330 PRINT "        I              I"
2340 PRINT "        I              I"
2350 PRINT "O-------+--------------+------O"
2360 PRINT
2370 PRINT "Enter desired frequency for match (MHz) ";:INPUT F:F = F * 1000000!
2380 C1 = 1/(XC1*6.28318*F): C1 = C1 * 1E+12: REM FIND C1 in pF
2390 L1 = XL/(6.28318*F): L1 = L1 * 1000000!: REM FIND L1 in uH
2400 C2 = 1/(XC2*6.28318*F): C2 = C2 * 1E+12: REM FIND C2 in pF
2410 PRINT
2420 PRINT "C1 = ";
2430 PRINT USING"####.#";C1;:PRINT " pF"
2440 PRINT "L1 = ";
2450 PRINT USING"####.###";L1;:PRINT " uH"
2460 PRINT "C2 = ";
2470 PRINT USING"####.#";C2;:PRINT " pF"
2480 GOTO 9000
3000 REM PI-L NETWORK DESIGN
3010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
3020 PRINT TAB(5);"Refer to schematic #16 for this design": PRINT
3030 PRINT "Enter HIGHER IMPEDANCE (Ohms) ";:INPUT R1
3040 PRINT "Enter LOWER IMPEDANCE (Ohms) ";:INPUT R2
3050 IF R2 > R1 THEN 3010
3060 RM = SQR(R1*R2):REM Find intermediate impedance
3070 Q0 = SQR((R1/R2)-1) :REM Find minimum usable Q for Pi section
3080 QL = SQR(RM/R2-1):REM Find Q for L section
3090 PRINT "Enter desired overall Q (>";
3100 PRINT USING "###.##";Q0+QL;:PRINT ") ";:INPUT Q
3110 IF Q < Q0+QL THEN 3090
3120 PRINT
3130 PRINT "Intermediate impedance Z2  = ";RM
3140 REM Find L Network values
3150 XL2 = QL*R2
3160 XC2B= RM/QL
3170 Q0=Q-QL
3180 Q1 = ( (R1*Q0)-SQR(R1*RM*Q0^2-(R1-RM)^2) )/(R1-RM)
3190 Q2 = Q0-Q1
3200 XC1 = R1/Q1
3210 XC2A = RM/Q2
3220 XL1 = R1*Q0/(Q1^2+1)
3230 PRINT "Capacitive reactance of C1 = ";
3240 PRINT USING "####.#";XC1;
3250 PRINT " Ohms"
3260 PRINT "Inductive reactance of L1  = ";
3270 PRINT USING "####.#";XL1;
3280 PRINT " Ohms"
3290 PRINT "Capacitive reactance of C2a= ";
3300 PRINT USING "####.#";XC2A;
3310 PRINT " Ohms"
3320 PRINT "Capacitive reactance of C2b= ";
3330 PRINT USING "####.#";XC2B;
3340 PRINT " Ohms"
3350 PRINT "Inductive reactance of L2  = ";
3360 PRINT USING "####.#";XL2;
3370 PRINT " Ohms"
3380 PRINT
3390 PRINT "Enter desired frequency for match (MHz) ";:INPUT F:F = F * 1000000!
3400 C1 = 1/(XC1*6.28318*F): C1 = C1 * 1E+12: REM FIND C1 in pF
3410 L1 = XL1/(6.28318*F): L1 = L1 * 1000000!: REM FIND L1 in uH
3420 C2 = 1/((XC2+XC2B)*6.28318*F): C2 = C2 * 1E+12: REM FIND C2 in pF
3430 L2 = XL2/(6.28318*F): L2 = L2 * 1000000!: REM FIND L2 in uH
3440 PRINT
3450 PRINT "C1 = ";
3460 PRINT USING"####.#";C1;:PRINT " pF"
3470 PRINT "L1 = ";
3480 PRINT USING"####.#";L1;:PRINT " uH"
3490 PRINT "C2 = ";
3500 PRINT USING"####.#";C2;:PRINT " pF"
3510 PRINT "L2 = ";
3520 PRINT USING"####.#";L2;:PRINT " uH"
3530 GOTO 9000
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
t another run (Y/N) ";
9010 INPUT A$
90: IF I > N THEN 7000
5190 J=J+1: GOTO 5150
5200 GOTO 7000
7000 REM ***** PRINT THE VALUES *****
7010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
7020 PRINT
7030 IF F9 = 1 THEN 7060
7040 PRINT TAB(10);"Refer to schematic # 6, Figure # ";T;" for this filter"
7050 GOTO 7070
7060 PRINT TAB(10);"Refer to schematic # 5, Figure # ";T;" for this filter"
7070 PRINT
7080 IF T <> 1 THEN 7180
7090 I=1 : J=1
7100 PRINT "C";J;" =";
7110 PRINT USING "######.##";C(J)*1E+12;:PRINT " pF"
7120 I=I+1:IF I > N THEN 7280
7130 PRINT "L";J;" =";
7140 PRINT USING "####.###";L(J)*1000000!;:PRINT " uH"
7150 I=I+1: IF I > N THEN 7280
7160 PRINT
7170 J=J+1: GOTO 7100
7180 I=1 : J=1
7190 PRINT "L";J;" =";
7200 PRINT USING "####.###";L(J)*1000000!;:PRINT " uH"
7210 I=I+1:IF I > N THEN 7280
7220 PRINT "C";J;" =";
7230 PRINT USING "######.##";C(J)*1E+12;:PRINT " pF"
7240 I=I+1: IF I > N THEN 7280
7250 PRINT
7260 J=J+1: GOTO 7190
7270 PRINT:PRINT
7280 PRINT: PRINT "Do you want to CHANGE the cutoff FREQUENCY (Y/N) ";
7290 A$ = "Y"
7300 INPUT A$
7310 IF A$ ="N" THEN 7360
7320 IF A$ ="n" THEN 7360
7330 PRINT "Enter NEW CUTOFF FREQUENCY (MHz) ";
7340 INPUT F0 : F0 = F0*1000000!
7350 GOTO 5030
7360 GOTO 9010
8000 REM *** GET INPUT PARAMETERS ***
8010 PRINT
8020 PRINT "Enter Cutoff (-3dB) FREQUENCY (MHz) ";
8030 INPUT F0 :F0 = F0 * 1000000! : REM Convert to Hz
8040 IF F0 > 100000! THEN 8060
8050 PRINT "I know you don't really mean that..":GOTO 8010
8060 IF F0 > 1E+09  THEN GOTO 8050
8070 PRINT "Enter NUMBER of elements (2 to 5) ";
8080 INPUT N:N = INT(N)
8090 IF N > 5 THEN 8070
8100 IF N < 2 THEN 8070
8110 PRINT
8120 PRINT "Enter input/output IMPEDANCE (Ohms) ";
8130 INPUT Z
8140 PRINT
8150 PRINT "Which TYPE of input/output :"
8160 PRINT "(1) Capacitor first"
8170 PRINT "(2) Inductor first"
8180 PRINT:PRINT "Enter choice ";
8190 INPUT T:T = INT(T)
8200 IF T > 2 THEN 8150
8210 IF T < 1 THEN 8150
8220 RETURN
9000 REM
9010 PRINT : PRINT "Do you want another run (Y/N) ";
9020 INPUT A$
9030 IF A$ = "Y" THEN 500
9040 IF A$ = "y" THEN 500
9050 RUN "CADMENU.BAS"
9060 END
t another run (Y/N) ";
9020 INPUT A$
9030 IF A$ = F$ = "NFCONV.BAS"
5386 GOTO 9000
5400 F$ = "OSC.BAS"
5410 GOTO 9000
5420 F$ = "PATH.BAS"
5430 GOTO 9000
5440 F$ = "PELIPT.BAS"
5450 GOTO 9000
5460 F$ = "PFILTER.BAS"
5470 GOTO 9000
5480 F$ = "RESNET.BAS"
5490 GOTO 9000
5500 F$ = "RESONNCE.BAS"
5510 GOTO 9000
5520 F$ = "SATANT.BAS"
5530 GOTO 9000
5532 F$ = "SPUR.BAS"
5534 GOTO 9000
5540 F$ = "TLINE.BAS"
5550 GOTO 9000
5554 F$ = "WNDLD.BAS"
5556 GOTO 9000
5558 F$ = "XFILTER.BAS"
5559 GOTO 9000
5560 F$ = "YAGI.BAS"
5570 GOTO 9000
5574 F$ = "ZCONV.BAS"
5576 GOTO 9000
5580 SYSTEM
8990 REM RUN SELECTED FILE
9000 IF E$="CLS" THEN CLS :ELSE PRINT E$;: REM CLEAR SCREEN BEFORE RUNNING SELECTED FILE
9010 FOR J = 1 TO 10:PRINT:NEXT J
9020 PRINT TAB(20);"Loading Selected Function ...";
9025 IF D9$="8.00" THEN D$="A:":REM SEE IF ALL FILES BELONG ON A:
9030 F1$ = D$+F$
9040 RUN F1$
9050 REM
9060 REM
9070 REM SUBROUTINE TO LINE FEED AND TAB OVER
9080 PRINT : PRINT TAB(3);
9090 RETURN
9100 END
RUN F1$
9050 REM
9060 REM
9070 REM SUING "####.###";L;:PRINT " uH"
6430 PRINT
6440 FOR I = 1 TO N-1
6450     PRINT "Coupling cap #";I;" =";
6460     PRINT USING "####.###";C(I);:PRINT " pF"
6470 NEXT I
6480 PRINT
6490 REM *** Different printing format if no matching sections ***
6500 IF M$ = "3" THEN 6650
6510 PRINT "Cx = ";
6520 PRINT USING "####.###";C2*1E+12;:PRINT " pF";
6530 PRINT ",    Ca = ";
6540 P