10 REM ***** 555 TIMER DESIGN AIDS *****
20 REM
30 REM RUNS UNDER MICROSOFT BASIC
40 REM
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I=1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
55 REM Copyright 1982 Gary A. Field
60 REM LAST UPDATED 06/16/85
65 REM
70 REM VARIABLE USAGE
160 REM
290 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
505 PRINT TAB(20);"NE555 TIMER CIRCUIT DESIGN":PRINT
510 PRINT "(1) Symmetrical Oscillator (50 % duty)"
520 PRINT "(2) Asymmetrical Oscillator"
530 PRINT "(3) One Shot (Timer)"
540 PRINT "(M) Return to Main Menu"
550 PRINT : PRINT "Enter choice ";: INPUT A$
560 IF A$ = "1" THEN 1000
570 IF A$ = "2" THEN 2000
580 IF A$ = "3" THEN 3000
590 IF A$ = "M" THEN 9900
595 IF A$ = "m" THEN 9900
600 GOTO 500
1000 REM *** 50 % duty oscillator ***
1010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1015 PRINT TAB(20);"SYMMETRICAL 555 OSCILLATOR DESIGN"
1020 PRINT
1030 PRINT "Refer to Schematic # 8 for this design"
1035 PRINT "NOTE: Rb can never be more than half of Ra"
1040 PRINT
1050 PRINT "Enter desired oscillator FREQUENCY (Hz) ";
1060 INPUT F
1070 PRINT "Enter VALUE for Capacitor (uF) ";
1080 INPUT C :C = C*.000001
1090 R1 = 1/ (2*F*.693*C)
1100 R2 = R1/2-.05*R1
1200 F9 = 1/( 2*( (R1*R2)/(R1+R2) )*C*LOG((R2-2*R1)/(2*R2-R1)) )
1205 E = F9-F : REM *** FIND ERROR ***
1210 IF ABS(E) < .05*F THEN 1500
1300 R2 = R2 - R2*.01
1310 GOTO 1200
1500 REM *** MUST BE WITHIN TOLERANCE ***
1505 PRINT
1508 PRINT "Ra = ";
1510 PRINT USING "######.#";R1; : PRINT " Ohms"
1520 PRINT "Rb = ";
1530 PRINT USING "######.#";R2; : PRINT " Ohms"
1900 GOTO 9000
2000 REM *** ASYMMETRICAL OSCILLATOR ***
2010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
2015 PRINT TAB(20);"ASYMMETRICAL 555 OSCILLATOR DESIGN"
2020 PRINT
2030 PRINT "Refer to Schematic # 9 for this design"
2040 PRINT
2050 PRINT "Enter desired oscillator FREQUENCY (Hz) ";
2060 INPUT F
2064 PRINT "Enter desired duty cycle (% high > 50 %) ";
2068 INPUT D : D = D/100
2069 IF D < .5 THEN 2064
2070 PRINT "Enter VALUE for Capacitor (uF) ";
2080 INPUT C :C = C*.000001
2150 R2 = ((1/F) - (D*(1/F))) / (.693*C)
2160 R1 = (D*(1/F) - (.693*C*R2)) / (.693*C)
2505 PRINT
2508 PRINT "Ra = ";
2510 PRINT USING "######.#";R1; : PRINT " Ohms"
2520 PRINT "Rb = ";
2530 PRINT USING "######.#";R2; : PRINT " Ohms"
2900 GOTO 9000
3000 REM *** ONE SHOT TIMER ***
3010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
3015 PRINT TAB(20);"ONE SHOT TIMER DESIGN"
3020 PRINT
3030 PRINT "Refer to Schematic # 10 for this design"
3040 PRINT
3050 PRINT "Enter desired TIMEOUT PERIOD (mSec) ";
3055 INPUT T : T = T*.001
3060 PRINT "Enter desired CAPACITOR value (uF) ";
3070 INPUT C : C = C*.000001
3100 R1 = T/(1.1*C)
3505 PRINT
3510 PRINT "Ra = ";
3520 PRINT USING "######.#";R1; : PRINT " Ohms"
3900 GOTO 9000
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
t another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 