10 REM *** CYLINDRICAL HORN ANTENNA DESIGNER ***
20 REM
30 REM Copyright 1982, Gary Field
35 REM Last Modified 01/30/86
40 REM
45 REM RUNS UNDER MICROSOFT BASIC Ver. 5.03
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I = 1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
55 REM
100 REM F = Frequency of operation
110 REM D = Diameter of can
120 REM R = F/D Ratio
130 REM L = Length of can
140 REM L1 = Distance of probe from rear of can
150 REM L2 = Length of probe
155 REM L7 = Cutoff wavelength of waveguide
160 REM L8 = Wavelength in guide
170 REM
210 PRINT
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
505 PRINT TAB(15);"CYLINDRICAL HORN FEED DESIGNER"
510 PRINT
520 PRINT "(1) Design cylindrical feed horn"
530 PRINT "(M) Return to Main Menu"
550 PRINT "Enter choice ";:INPUT A$
560 IF A$ = "1" THEN 1000
570 IF A$ = "M" THEN 9900
580 IF A$ = "m" THEN 9900
590 GOTO 500
1000 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1005 PRINT
1010 GOSUB 5000:REM ASK METRIC/ENGLISH
1020 GOSUB 6000:REM GET FREQUENCY & WAVELENGTH
1025 PRINT
1030 PRINT "Enter F/D Ratio of DISH to be fed ";
1040 INPUT R
1100 REM *** CALCULATION SECTION ***
1105 PRINT
1110 D = 1.25*R + .25 : D = D*L9
1115 R1 = D/2
1125 L7 = 3.42 * R1 :REM FIND CUTOFF WAVELENGTH
1130 L8 = L9/ SQR(1- (L9/L7)^2)
1140 L1 = L8/4
1145 L = L1 * 2.25
1150 L2 = .245 * L9
1200 PRINT "Length of can                   = ";
1210 PRINT USING "###.##";L*C9;:PRINT U$
1230 PRINT "Diameter of can                 = ";
1240 PRINT USING "###.##";D*C9;:PRINT U$
1270 PRINT "Probe distance from rear of can = ";
1280 PRINT USING "###.##"; L1*C9;:PRINT U$
1290 PRINT "Probe length                    = ";
1300 PRINT USING "###.##"; L2*C9;:PRINT U$
1310 PRINT "Optional choke flange diameter  = ";
1320 PRINT USING "###.##"; (3*D)*C9;:PRINT U$
1990 GOTO 9000
5000 PRINT "Do you want Metric or English units (M/E) ";
5010 INPUT A$
5015 C9 = 1:U$ = " cm"
5020 IF A$ = "E" THEN 5040
5030 IF A$ <> "e" THEN 5050
5040 C9 = .3937:U$ = " In"
5050 PRINT
5060 RETURN
6000 PRINT "Enter frequency of operation (MHz) ";
6010 INPUT F
6020 L9 = (299.793/F) *100 :REM WAVELENGTH IN CM
6030 RETURN
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 1000
9030 IF A$ = "y" THEN 1000
9900 RUN "CADMENU.BAS"
9999 END
another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 1000
9030 IF A$ = "y"