10 REM ***** INDUCTOR DESIGN *****
20 REM
30 REM Copyright Gary Field, 1982,1983,1984
40 REM Last modified 12/02/87
45 REM
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
51 INPUT #1,N:FOR I=1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
52 INPUT #1,D1:INPUT #1,M1:INPUT #1,S1
53 INPUT #1,D2:INPUT #1,M2:INPUT #1,S2
54 INPUT #1,D$
55 CLOSE #1
60 REM RUNS UNDER MICROSOFT BASIC VER. 5.03
70 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
505 PRINT TAB(10);"INDUCTOR DESIGN"
510 PRINT
520 PRINT "(1) Coreless Single Layer solenoid"
530 PRINT "(2) Coreless Multi-layer solenoid"
540 PRINT "(3) Ferrous core Multi-layer inductor"
550 PRINT "(4) Toroidal core inductor"
560 PRINT "(5) Straight round wire"
565 PRINT "(6) Find loss of finite Q inductor"
570 PRINT "(M) Return to Main Menu"
580 PRINT
590 PRINT "Enter choice ";
600 INPUT A$
610 IF A$ = "1" THEN 1000
620 IF A$ = "2" THEN 2000
630 IF A$ = "3" THEN 3000
640 IF A$ = "4" THEN 4000
650 IF A$ = "5" THEN 5000
655 IF A$ = "6" THEN 6000
660 IF A$ = "M" THEN 9900
665 IF A$ = "m" THEN 9900
670 GOTO 500
1000 REM ***** Coreless single layer solenoid *****
1002 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1004 PRINT
1005 PRINT "For best results make the LENGTH at least half the DIAMETER"
1006 PRINT
1010 PRINT "Do you want to specify Inductance or Number of turns (I/N) ";
1020 INPUT A$
1025 IF A$ = "I" THEN 1500
1030 IF A$ = "i" THEN 1500
1100 REM ***** SPECIFY NUMBER OF TURNS *****
1110 PRINT "Enter NUMBER of turns ";
1120 INPUT N
1140 PRINT "Enter diameter of form (In) ";
1150 INPUT D
1160 PRINT "Enter length of winding (In) ";
1170 INPUT L1
1180 PRINT
1190 REM calculate the inductance
1200 L = (.2 * D^2 * N^2) / ( (3*D) + (9*L1) )
1210 PRINT "Inductance = ";
1220 PRINT USING "######.####";L;:PRINT " micro-Henries"
1240 GOTO 1900
1500 REM ***** SPECIFY INDUCTANCE *****
1510 PRINT "Enter Inductance (uH) ";
1520 INPUT L
1530 PRINT "Enter diameter of form (In) ";
1540 INPUT D
1550 PRINT "Enter length of winding (In) ";
1560 INPUT L1
1570 PRINT
1575 IF L < 1 THEN PRINT "WARNING: accuracy make be poor for inductors less than 1 uH"
1576 PRINT
1580 N = SQR( (L*((3*D) + (9*L1)) ) / (.2 * D^2) )
1590 PRINT "Number of turns  = ";
1600 PRINT USING "####";N
1610 PRINT "Length of wire required = ";
1620 PRINT USING "####.#";N*D*3.14;:PRINT " In"
1900 GOTO 9000
2000 REM ***** Multi-layer solenoid *****
2005 IF E$="CLS" THEN CLS :ELSE PRINT E$;
2010 PRINT "Enter desired Inductance (uH) ";
2020 INPUT L
2030 PRINT "Enter Inside diameter of winding (In) ";
2040 INPUT D1
2050 PRINT "Enter Outside diameter of winding (In) ";
2060 INPUT D
2070 PRINT "Enter LENGTH of winding (In) ";
2080 INPUT L1
2090 PRINT
2100 D2 = (D-D1) / 2
2110 N = 1/ SQR( (.2 * D^2) / (L * ((3*D) + (9*L1) + (10*D2)) ) )
2120 PRINT "Coil should be = ";
2130 PRINT USING "#####";N;:PRINT " turns"
2200 PRINT "Length of wire required = ";
2210 PRINT USING "####.#";N*D*3.14;:PRINT " In"
2900 GOTO 9000
3000 REM ***** Ferous core Multi-layer Inductor *****
3010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
3020 PRINT "Enter desired Inductance (H) ";
3030 INPUT L
3040 PRINT "Enter Permeability of core ";
3050 INPUT U
3060 PRINT "Enter cross sectional area of core (sq. In) ";
3070 INPUT A
3080 PRINT "Enter Length of core (In) ";
3090 INPUT L1
3100 PRINT
3110 N = 1/ SQR( (4.06 * U * A) / (.27 * 1E+08 * L1 * L) )
3120 PRINT "Coil should be ";
3130 PRINT USING "#####";N;:PRINT " turns"
3200 PRINT "Length of wire required = ";
3205 C = 4.2*A
3210 PRINT USING "####.#";N*C;:PRINT " In"
3900 GOTO 9000
4000 REM ***** Toroidal core Inductors *****
4010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
4020 PRINT "Enter desired Inductance (uH) ";
4030 INPUT L
4040 PRINT "Do you want to specify Dimensions or Type of core (D/T) ";
4045 A$ = "T" :REM DEFAULT TO TYPE SPECIFICATION
4050 INPUT A$
4060 IF A$ = "D" THEN 4750
4070 IF A$ = "d" THEN 4750
4080 REM **** Specify core TYPE Number ****
4081 PRINT
4082 PRINT "All numbers below are for Micrometals cores "
4083 PRINT "Available core sizes:  T5 , T7 , T10, T12, T16, T20, T25"
4084 PRINT "                       T27, T30, T37, T44, T50, T51, T68"
4085 PRINT "                       T106,T200,T225,T225B"
4086 PRINT "Available mixtures  :  0, 1, 2, 3, 6, 7, 8, 10, 12, 15, 16, 22"
4087 PRINT
4090 PRINT "Enter TYPE number , MIX (i.e. T20,2) ";
4100 INPUT T$, M$
4101 IF MID$(T$,1,1) = "t" THEN MID$(T$,1,1) = "T"
4102 REM *** SIZE TABLES FOR MICROMETALS CORES **
4105 IF T$ <> "T5" THEN 4110
4106 D2=.05:D1=.025:T=.025
4108 GOTO 4500
4110 IF T$ <> "T7" THEN 4115
4111 D2=.07:D1=.035:T=.03
4113 GOTO 4500
4115 IF T$ <> "T10" THEN 4120
4116 D2=.097:D1=.044:T=.03
4117 GOTO 4500
4120 IF T$ <> "T12" THEN 4125
4122 D2=.125:D1=.062:T=.05
4124 GOTO 4500
4125 IF T$ <> "T16" THEN 4130
4126 D2=.16:D1=.078:T=.06
4128 GOTO 4500
4130 IF T$ <> "T20" THEN 4135
4132 D2=.2:D1=.088:T=.07
4134 GOTO 4500
4135 IF T$ <> "T25" THEN 4140
4136 D2=.255:D1=.12:T=.096
4138 GOTO 4500
4140 IF T$ <> "T27" THEN 4145
4142 D2=.28:D1=.151:T=.128
4144 GOTO 4500
4145 IF T$ <> "T30" THEN 4150
4146 D2=.307:D1=.151:T=.128
4148 GOTO 4500
4150 IF T$ <> "T37" THEN 4155
4152 D2=.375:D1=.205:T=.128
4154 GOTO 4500
4155 IF T$ <> "T44" THEN 4160
4156 D2=.44:D1=.229:T=.159
4158 GOTO 4500
4160 IF T$ <> "T50" THEN 4165
4162 D2=.5:D1=.303:T=.19
4164 GOTO 4500
4165 IF T$ <> "T51" THEN 4170
4166 D2=.5:D1=.2:T=.312
4168 GOTO 4500
4170 IF T$ <> "T68" THEN 4180
4172 D2=.69:D1=.37:T=.19
4174 GOTO 4500
4180 IF T$ <> "T80" THEN 4190
4182 D2=.795:D1=.495:T=.25
4184 GOTO 4500
4190 IF T$ <> "T106" THEN 4200
4192 D2=1.06:D1=.57:T=.437
4194 GOTO 4500
4200 IF T$ <> "T130" THEN 4210
4202 D2=1.3:D1=.78:T=.437
4204 GOTO 4500
4210 IF T$ <> "T200" THEN 4220
4212 D2=2!:D1=1.25:T=.55
4214 GOTO 4500
4220 IF T$ <> "T225" THEN 4230
4222 D2=2.25:D1=1.4:T=.55
4224 GOTO 4500
4230 IF T$ <> "T225B" THEN 4490
4232 D2=2.25:D1=1.4:T=1!
4234 GOTO 4500
4490 GOTO 4090
4500 REM **** Mixture tables ***
4505 U=10000
4507 IF M$ = "0" THEN U=1!
4510 IF M$ = "1" THEN U=20
4520 IF M$ = "2" THEN U=10.5
4530 IF M$ = "3" THEN U=35
4540 IF M$ = "6" THEN U=8.5
4550 IF M$ = "7" THEN U=9.5
4560 IF M$ = "8" THEN U=35
4570 IF M$ = "10" THEN U=7!
4580 IF M$ = "12" THEN U=6!
4590 IF M$ = "15" THEN U=30
4600 IF M$ = "22" THEN U=5!
4620 IF U <> 10000 THEN 4830
4630 PRINT "I don't know that mixture"
4640 GOTO 4810
4740 REM *** SPECIFY DIMENSIONS ***
4750 PRINT "Enter Outside diameter (In) ";
4760 INPUT D2
4770 PRINT "Enter Inside diameter (In) ";
4780 INPUT D1
4790 PRINT "Enter Thickness (In) ";
4800 INPUT T
4810 PRINT "Enter permeability  ";
4820 INPUT U
4830 PRINT
4840 N = SQR( L / (.011684 * U * T * (LOG(D2/D1)*.43429) ) )
4850 PRINT "Coil should be ";
4860 PRINT USING "###.#";N;:PRINT " turns"
4865 C = 2*(D2-D1)+2.3*T
4870 PRINT "Length of wire required = ";
4880 PRINT USING "####.#";N*C;:PRINT " In"
4900 GOTO 9000
5000 REM ***** STRAIGHT WIRE *****
5010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
5060 REM *** SPECIFY LENGTH
5070 PRINT "Enter Length of wire (In) ";
5080 INPUT L1
5090 PRINT "Enter diameter of wire (In) ";
5100 INPUT D
5110 PRINT
5120 L = (.00508 * L1) * (LOG((4*L1)/D) - .75)
5130 PRINT "Inductance = ";
5140 PRINT USING "##.#####";L;:PRINT " uH"
5900 GOTO 9000
6000 REM FIND LOSS OF FINITE Q INDUCTOR
6010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
6020 PRINT "Enter unloaded Q of inductor";
6030 INPUT Q1
6040 PRINT "Enter loaded Q of circuit";
6050 INPUT Q2
6060 I = ABS(10 * (LOG( (1 - (Q2/Q1) )^2 ) * .43429))
6070 PRINT "Loss associated with inductor = ";
6080 PRINT USING "##.#";I;:PRINT " dB"
6900 GOTO 9000
9000 PRINT
9010 PRINT "Do you want another run (Y/N) ";
9020 INPUT A$
9030 IF A$ = "Y" THEN 500
9040 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
t another run (Y/N) ";
90