10 REM ***** MOONBOUNCE PROGRAM *****
20 REM
30 REM      THIS PROGRAM IS DESIGNED TO CALCULATE THE AZIMUTH AND ELEVATION
40 REM TO 'SEE' THE MOON.
50 REM
60 REM CONVERTED TO MICROSOFT BASIC BY GARY A. FIELD WA1GRC, 01/29/82
70 REM LAST MODIFIED 07/31/85
80 REM
90 REM      THE REQUIRED INPUT IS THE GMT MONTH,DAY, AND YEAR FOR WHICH
100 REM  THE MOON'S POSITION IS DESIRED.
110 REM
130 REM ORIGINALLY WRITTEN BY        LANCE COLLISTER
140 REM                              WA1JXN / WA3GPL
150 REM                              CLEVELAND, OHIO
160 REM                              MARCH, 1974
170 REM
180 REM **********************************************************************
200 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
202 INPUT #1,N:FOR I=1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
203 INPUT #1,D1:INPUT #1,M1:INPUT #1,S1
204 INPUT #1,D2:INPUT #1,M2:INPUT #1,S2
205 CLOSE #1
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
510 PRINT TAB(20);"MOONBOUNCE AID"
550 PRINT "(1) Calculate Position of moon"
560 PRINT "(M) Return to Main Menu"
570 PRINT
580 PRINT "Enter choice ";
590 INPUT A$
600 IF A$ = "1" THEN 1000
610 IF A$ = "M" THEN 9900
620 IF A$ = "m" THEN 9900
650 GOTO 500
1000 DIM F(25), V(25), Y(25), Q(25), S(25)
1005 DEF FNA(X) = INT(X*D5*10+.5)/10
1010 DEF FNB(X) = (X-INT(X))*P5
1015 P5 = 2! * 3.1415926535#
1020 D5 = 360!/P5 : REM CONVERSION TO DEGREES
1025 R5 = P5/360! : REM CONVERSION TO RADIANS
1030 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1035 PRINT TAB(20);"MOON POSITION CALCULATOR FOR EME"
1040 PRINT
1045 PRINT "Enter Your Station Call Letters ";
1050 INPUT Z$
1051 PRINT "Do you want to use your default location (Y/N) ";:INPUT A$
1052 IF A$ = "N" THEN 1055
1053 IF A$ = "n" THEN 1055
1054 L5=D1:U5=M1:L6=D2:U6=M2:GOTO 1075
1055 PRINT "Enter Your station Latitude (deg,min) ";
1060 INPUT L5,U5
1065 PRINT "Enter Your station Longitude (deg,min) ";
1070 INPUT L6,U6
1075 L5 = (L5+U5/60)*R5
1080 L6 = (L6+U6/60)*R5
1085 PRINT "Enter desired output increment (mins) ";
1090 INPUT I
1095 PRINT "Do you want output ONLY when the moon is NEAR the HORIZON (Y/N) ";
1100 INPUT B$
1105 IF B$ = "Y" THEN 1125
1110 IF B$ = "y" THEN 1125
1115 I6 = 100
1120 GOTO 1175
1125 PRINT "Below what ELEVATION do you want output to occur (deg) ";
1130 INPUT I6
1135 PRINT "Enter the MONTH,DAY,YEAR desired  (up to 25 days)"
1140 PRINT "Enter 0's when done"
1145 FOR N = 1 TO 25
1150 PRINT "---> ";
1155 INPUT F(N),V(N),Y(N)
1160 IF F(N) = 0 THEN 1220
1165 NEXT N
1170 GOTO 1145
1175 PRINT "Enter the MONTH, DAY, YEAR(YYYY), STARTING-TIME(GMT), ENDING-TIME(GMT)"
1176 PRINT "(up to 25 days)"
1180 PRINT "Enter 0's when done"
1185 FOR N = 1 TO 25
1190 PRINT " ---> ";
1195 INPUT F(N),V(N),Y(N),Q(N),S(N)
1200 IF F(N) = 0 THEN 1220
1205 NEXT N
1210 GOTO 1185
1215 REM ***** START OUTPUT SECTION *****
1220 N5 = N-1
1225 PRINT "Do you want printed output (Y/N) ";
1230 O$ = "Y"
1235 INPUT O$
1240 IF O$ = "Y" THEN 1250
1245 IF O$ <> "y" THEN 1255
1250 O$ = "Y"
1255 FOR N = 1 TO N5
1260 IF B$ = "Y" THEN 1275
1265 IF B$ = "y" THEN 1275
1270 GOTO 1290
1275 E1 = 2400
1280 B=0
1285 GOTO 1300
1290 E1 = S(N)
1295 B = Q(N)
1300 M = F(N)
1305 D = V(N)
1310 Y = Y(N)
1315 Y1 = Y-(INT(Y/100)*100)
1320 PRINT
1325 PRINT
1330 PRINT "Position of moon on ";M;"/";D;"/";Y1;"  From Station ";Z$
1335 PRINT
1340 PRINT " GMT","  AZ ","   EL ","    GHA","   DEC"
1345 PRINT " ---","  -- ","   -- ","    ---","   ---"
1350 PRINT
1355 IF O$ <> "Y" THEN 1390
1360 LPRINT CHR$(12) :LPRINT
1365 LPRINT "Position of moon on ";M;"/";D;"/";Y1;"  From Station ";Z$
1370 LPRINT
1375 LPRINT " GMT","  AZ ","   EL ","    GHA","   DEC"
1380 LPRINT " ---","  -- ","   -- ","    ---","   ---"
1385 LPRINT
1390 I1 = 2
1395 REM *** CALCULATION OF JULIAN DATE ***
1400 IF M >= 3 THEN 1440
1405 IF INT((Y-1853)/4) < 11 THEN 1420
1410 C1 = -1
1415 GOTO 1425
1420 C1 = 0
1425 J1 = 365*(Y-1853)+D+30*(M+9)+INT((M+10)/2)
1430 J2 = INT((Y-1853)/4)+1+C1
1435 GOTO 1495
1440 IF(INT(Y-1852)/4) < 11 THEN 1455
1445 C1 = -1
1450 GOTO 1460
1455 C1 = 0
1460 IF M=9 THEN 1480
1465 IF M = 11 THEN 1480
1470 C2 = 0
1475 GOTO 1485
1480 C2 = 1
1485 J1 = 365*(Y-1852)+D+30*(M-3)+INT((M-2)/2)
1490 J2 = INT((Y-1852)/4)+C1+C2
1495 J = J1+J2 : REM (JULIAN DATE-2397547.5) FOR 0000 HOURS GMT
1500 T1 = J-17472.5
1505 D9 = (B-INT(B/100)*100)+INT(B/100)*60
1510 D6 = (E1-INT(E1/100)*100)+INT(E1/100)*60
1515 D7 = D9-D6
1520 D8 = D7-I
1525 IF D7 > 0 THEN 1535
1530 GOTO 1550
1535 IF D8 >= 0 THEN 2040
1540 B=E1
1545 REM *** CALCULATION OF LATITUDE AND LONGITUDE OF MOON ***
1550 T = (B-INT(B/100)*100)/1440+INT(B/100)/24
1555 T5 = T1+T
1560 K1 = FNB(.751213 + .036601102# * T5)
1565 K2 = FNB(.822513 + .0362916457# * T5)
1570 K3 = FNB(.995766 + .00273777852# * T5)
1575 K4 = FNB(.974271 + .0338631922# * T5)
1580 K5 = FNB(.0312525 + .0367481957# * T5)
1585 L8 = K1+.658 * R5 * SIN(2*K4) + 6.289*R5*SIN(K2)
1590 L8 = L8-1.274 * R5 * SIN(K2-2*K4) - .186*R5*SIN(K3)
1595 L8 = L8 + .214 * R5 * SIN(2*K2) - .114*R5*SIN(2*K5)
1600 L8 = L8 - .059 * R5 * SIN(2*K2-2*K4) - .057*R5*SIN(K2+K3-2*K4)
1605 K6 = K5 + .6593 * R5 * SIN(2*K4) + 6.2303*R5*SIN(K2) - 1.272*R5*SIN(K2-2*K4)
1610 L7 = 5.144 * R5 * SIN(K6) - .146*R5*SIN(K5-2*K4)
1615 REM *** CALCULATION OF RIGHT ASCENSION (A = R1) AND DECLINATION
1620 D3 = COS(L7)*SIN(L8)*.397821+SIN(L7)*.917463
1625 D3 = ATN(D3/(SQR(1-D3^2)))
1630 A2 = COS(L7)*COS(L8)/COS(D3)
1635 A1 = (COS(L7)*SIN(L8)*.917463-SIN(L7)*.397821)/COS(D3)
1640 A = ATN(A1/A2)
1645 GOSUB 1790
1650 R1 = A
1655 L1 = .065709822#*T1
1660 L = T*24*1.002738+6.646055+(L1-INT(L1/24)*24)
1665 L = (L-INT(L/24)*24)
1670 REM *** CALCULATION OF GREENWHICH HOUR ANGLE,G, FROM LOCAL SIDEREAL TIME ***
1675 G = (L/24)*P5-R1
1680 IF G < P5 THEN 1695
1685 G = G-P5
1690 GOTO 1715
1695 IF G < 0 THEN 1705
1700 GOTO 1715
1705 G = G+P5
1710 REM *** CALCULATION OF YOUR LOCAL HOUR ANGLE, H, FROM GHA
1715 H = L6-G
1720 REM *** CALCULATION OF ELEVATION, E, OF OBJECT (MOON)
1725 E3 = COS(L5)*COS(H)*COS(D3)+SIN(D3)*SIN(L5): REM SINE OF ELEVATION
1730 E2 = SQR(1-(E3*E3))
1735 E = ATN(E3/E2)
1740 IF E < 0 THEN 2015
1745 IF E > I6*R5 THEN 2015
1750 REM *** CALCULATION OF AZIMUTH, A, OF OBJECT (MOON)
1755 A2 = SIN(D3)/(COS(L5)*COS(E))
1760 A2 = A2 - (SIN(L5)/COS(L5)) * (SIN(E)/COS(E))
1765 A1 = SIN(L5)*SIN(D3)+COS(L5)*COS(D3)*COS(H)
1770 A1 = (SIN(H)*COS(D3))/(SQR(1-A1^2))
1775 A = ATN(A1/A2): REM AZIMUTH = ATN(SIN OF AZ/ COS OF AZ)
1780 GOSUB 1790
1785 GOTO 1875
1790 REM *** SUBROUTINE TO REMOVE AMBIGUITIES WITH ATN() FUNCTION
1795 IF A = 0 THEN 1805
1800 GOTO 1825
1805 IF A2 < 0 THEN 1815
1810 GOTO 1865
1815 A = P5/2
1820 GOTO 1865
1825 IF A > 0 THEN 1855
1830 IF A2 < 0 THEN 1845
1835 A = P5 + A
1840 GOTO 1865
1845 A = P5 + (A-P5/2)
1850 GOTO 1865
1855 IF A2 >= 0 THEN 1865
1860 A = A+P5/2
1865 RETURN
1870 REM
1875 IF (T-I1) > (2*I)/1440 THEN 1885
1880 GOTO 1890
1885 PRINT
1887 IF O$ <> "Y" THEN 1890
1888 LPRINT
1890 IF O$ <> "Y" THEN 1955
1895 REM *** PRINT ON PRINTER
1905 LPRINT USING "####"; INT(B+.5);
1910 LPRINT "           ";
1915 LPRINT USING "###.#"; FNA(A);
1920 LPRINT "          ";
1925 LPRINT USING "###.#"; FNA(E);
1930 LPRINT "          ";
1935 LPRINT USING "###.#"; FNA(G);
1940 LPRINT "         ";
1945 LPRINT USING "###.#" ; FNA(D3)
1950 REM *** DISPLAY ON SCREEN
1955 PRINT USING "####"; INT(B+.5);
1970 PRINT "            ";
1975 PRINT USING "###.#"; FNA(A);
1980 PRINT "        ";
1985 PRINT USING "###.#"; FNA(E);
1990 PRINT "           ";
1995 PRINT USING "###.#"; FNA(G);
2000 PRINT "        ";
2005 PRINT USING "###.#"; FNA(D3)
2010 I1 = T
2015 B = B+I
2020 Z = (B-INT(B/100)*100)-60
2025 IF Z < 0 THEN 1505
2030 B = INT(B/100)*100+100+Z
2035 GOTO 1505
2040 NEXT N
2045 N = 0
2050 PRINT
2060 GOTO 9000
3000 REM ***
9000 PRINT
9010 PRINT "Do you want another run (Y/N) ";
9020 INPUT A$
9030 IF A$ = "Y" THEN 1030
9040 IF A$ = "y" THEN 1030
9900 RUN "CADMENU.BAS"
9999 END
