10 REM ***** PASSIVE EQUALIZER DESIGN AID *****
20 REM
30 REM RUNS UNDER MICROSOFT BASIC
32 REM
34 REM FROM ELECTRONIC DESIGN, SEPT. 16, 1982
40 REM
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I= 1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
60 REM LAST UPDATED 07/20/86
100 DIM W(20)
160 REM
290 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
505 PRINT TAB(20);"PASSIVE FILTER EQUALIZER DESIGN":PRINT
510 PRINT "(1) For Low / High Pass Filters"
530 PRINT "(2) For Bandpass Filters"
540 PRINT "(M) Return to Main Menu"
550 PRINT : PRINT "Enter choice ";: INPUT A$
560 IF A$ = "1" THEN 1000
570 IF A$ = "2" THEN 2000
580 IF A$ = "M" THEN 9900
590 IF A$ = "m" THEN 9900
600 GOTO 500
1000 REM LOW PASS & HIGH PASS DESIGN
1010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1020 PRINT "Enter terminating Impedance (Ohms) ";:INPUT R
1030 PRINT
1040 PRINT "Enter basic attenuation (dB) ";:INPUT A0
1050 F = EXP(A0 / 8.686)
1060 R1 = R * (F-1)
1070 R2 = R / (F-1)
1080 PRINT "Enter pole position (MHz) ";:INPUT W0
1090 PRINT "Enter reference frequency (MHz) & attenuation (dB) ";:INPUT W1,A1
1100 B = EXP(A1/4.343)
1110 Y = SQR((B-F^2) / (((F-1)^2) * (1-B)))
1120 X = ABS(6.28318 * Y * (W0^2 - W1^2) / W1)
1130 L1 = R/X
1140 C1 = 1/((6.28318 * W0)^2 * L1)
1150 C2 = L1/R^2
1160 L2 = C1 * R^2
1170 PRINT TAB(5); "R1 = ";R1; TAB(30);"R2 = ";R2
1180 PRINT TAB(5); "L1 = ";L1; TAB(30);"C1 = ";C1
1190 PRINT TAB(5); "L2 = ";L2; TAB(30);"C2 = ";C2
1200 PRINT "Tuning frequency of L1C1 & L2C2 = ";W0;" MHz"
1500 PRINT "All Resistors are in Ohms"
1510 PRINT "All Capacitors are in microfarads"
1520 PRINT "All Inductors are in microhenries"
1522 PRINT
1525 PRINT "Enter number of frequencies for analysis ";:INPUT N
1530 PRINT
1532 FOR I = 1 TO N
1534     PRINT "Enter frequency #";I;" ";:INPUT W(I)
1536 NEXT I
1540 PRINT "Analysis of the design "
1550 PRINT "-----------------------------"
1560 PRINT TAB(5);"FREQ(MHz)";TAB(30);"ATTENUATION(dB)"
1570 FOR I = 1 TO N
1580     Y = X * W(I) / (6.28318 * (W0 2 - W(I) 2))
1590     A = 4.343 * LOG(((F / (F - 1)) 2 + Y^2) / ((1 / (F-1)) 2 + Y 2))
1600     PRINT TAB(5);W(I);TAB(30);A
1610 NEXT I
1620 PRINT :PRINT "Do you wish to redesign (Y/N) ";:INPUT A$
1630 IF A$ = "Y" THEN 1000
1640 IF A$ = "y" THEN 1000
1990 GOTO 9000
2000 REM BANDPASS DESIGN
2010 IF E$="CLS" THEN CLS :ELSE PRINT E$;
2020 PRINT "Enter terminating Impedance (Ohms) ";:INPUT R
2040 PRINT "Enter basic attenuation (dB) ";:INPUT A0
2050 F = EXP(A0 / 8.686)
2060 R1 = R * (F-1)
2070 R2 = R / (F-1)
2080 PRINT "Enter pole position (MHz) ";:INPUT W0
2090 PRINT "Enter LOWER reference frequency (MHz) & attenuation (dB) ";
2100 INPUT W1,A1
2110 PRINT "Enter UPPER reference frequency (MHz) & attenuation (dB) ";
2120 INPUT W2,A2
2130 B = EXP(A1 / 4.343)
2140 C = EXP(A2 / 4.343)
2150 Y1 = SQR((B-F^2) / (((F-1)^2) * (1-B)))
2160 Y2 = SQR((C-F^2) / (((F-1)^2) * (1-C)))
2170 X1 = 6.28318 * W1 * W2 * (Y1 * W2 * (W1^2 - W0^2) - Y2 * W1 * (W2^2 - W0^2)) / (W0^2 * (W1^2 - W2^2))
2180 X2 = 6.28318 * (Y2 * W2  - Y1 * W1) * (W2^2 - W0^2) * (W1^2 - W0^2) / (W0^2 * (W1^2 - W2^2))
2190 L1 = R/X1
2200 L2 = R/X2
2210 C1 = 1 / ((6.28318 * W0)^2 * L2)
2220 C2 = L1 / R^2
2230 L3 = C1 * R^2
2240 C3 = L2 / R^2
2250 Z = W0 * SQR(X1 / (X1+X2))
2260 PRINT TAB(5);"R1 = ";R1;TAB(30);"R2 = ";R2
2270 PRINT TAB(5);"L1 = ";L1;TAB(30);"L2 = ";L2;TAB(55);"C1 = ";C1
2280 PRINT TAB(5);"C2 = ";C2;TAB(30);"L3 = ";L3;TAB(55);"C3 = ";C3
2290 PRINT "Tuning frequency of L2C1 & L3C3 = ";W0
2300 PRINT "Tuning frequency of L1L2C1 & C2L3C3 = ";Z
2500 PRINT "All Resistors are in Ohms"
2510 PRINT "All Capacitors are in microFarads"
2520 PRINT "All Inductors are in microHenries"
2522 PRINT
2525 PRINT "Enter number of frequencies for analysis ";:INPUT N
2530 PRINT
2532 FOR I = 1 TO N
2534     PRINT "Enter frequency #";I;" ";:INPUT W(I)
2536 NEXT I
2540 PRINT "Analysis of the design "
2550 PRINT "-----------------------------"
2560 PRINT TAB(5);"FREQ(MHz)";TAB(30);"ATTENUATION(dB)"
2570 FOR I = 1 TO N
2580     Y = X1 / (6.28318 * W(I)) + X2 * W(I) / (6.28318 * (W(I)^2 - W0^2))
2590     A = 4.343 * LOG(((F / (F-1))^2 + Y^2) / ((1 / (F - 1))^2 +Y^2))
2600     PRINT TAB(5);W(I); TAB(30);A
2610 NEXT I
2620 PRINT :PRINT "Do you wish to redesign (Y/N) ";:INPUT A$
2630 IF A$ = "Y" THEN 1000
2640 IF A$ = "y" THEN 1000
2990 GOTO 9000
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
t another run (Y/N