10 REM ***** GRID SQUARE / LAT-LON CONVERSION AID *****
20 REM
25 REM Copyright Gary A. Field, 1987
30 REM RUNS UNDER MICROSOFT BASIC
40 REM
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
51 INPUT #1,N:FOR I=1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
55 CLOSE #1
60 REM LAST UPDATED 11/03/87
70 REM
100 PI=3.14159:RA=57.29583:DEF FNA(X)=INT(X*100+.5)/100:PT=0:NR=5:C1=0
120 U(1)=82:U(2)=82:U(3)=57:U(4)=57:U(5)=88:U(6)=88
130 L(1)=65:L(2)=65:L(3)=48:L(4)=48:L(5)=65:L(6)=65
140 DIM A(7)
160 REM
170 REM *NOTE:  ENTER MINUS SIGN ('-') FOR EAST LONGITUDE OR SOUTH LATITUDE.
180 REM  --IF 0 DEGREES EAST OR SOUTH, USE MINUS SIGN ('-') WITH MINUTES.
190 REM   (EXAMPLES:  -31 DEGR, 10.1 MINS OR 0 DEGR, -10.1 MINS).
290 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
505 PRINT TAB(20);"Grid-Square / Lat-Lon Conversion Aid":PRINT
510 PRINT "(1) Convert Grid Square to Lat-Lon"
520 PRINT "(2) Convert Lat-Lon to Grid Square"
610 PRINT "(M) Return to Main Menu"
620 PRINT : PRINT "Enter choice ";: INPUT A$
630 IF A$ = "1" THEN 1000
640 IF A$ = "2" THEN 2000
730 IF A$ = "M" THEN 9040
740 IF A$ = "m" THEN 9040
750 GOTO 500
1000 REM
1090 REM LOCATOR-TO-COORDINATE CONVERSION ROUTINE
1095 REM EITHER 4 OR 6 DIGIT LOCATORS ARE ACCEPTABLE
1100 REM IF 4 DIGITS, APPROXIMATE CENTER OF AREA IS ASSUMED.
1110 PRINT:PRINT "Enter Grid Locator to convert:"
1112 GOSUB 1120
1114 GOTO 9000
1120 INPUT G1$
1130 IF LEN(G1$)=4 THEN G1$=G1$+"MM"
1140 IF LEN(G1$)<>6 THEN 1110
1150 FOR K=1 TO 6
1155     A(K)=ASC(MID$(G1$,K,1))
1157     IF A(K)>=97 THEN A(K)=A(K)-32:REM Convert lower case to UPPER
1160     IF A(K)>U(K) OR A(K)<L(K) THEN 1110
1170 NEXT K
1180 LO=180-(A(1)-65)*20-(A(3)-48)*2-(A(5)-64.5)/12
1190 LA=-90+(A(2)-65)*10+A(4)-48+(A(6)-64.5)/24
1200 XO$="W LONG":LX=ABS(LO):IF LO<0 THEN XO$="E LONG"
1210 XA$="N LAT":LY=ABS(LA):IF LA<0 THEN XA$="S LAT"
1220 OM=(LX-INT(LX))*60:AM=(LY-INT(LY))*60
1230 PRINT G1$;" = ";INT(LX);"deg ";FNA(OM);"min ";XO$
1240 PRINT TAB(10)INT(LY);"deg ";FNA(AM);"min ";XA$
1900 RETURN
2000 REM COORDINATE-TO-LOCATOR CONVERSION ROUTINE
2010 GOSUB 2020
2012 GOSUB 2140
2014 GOTO 9000
2020 PRINT:PRINT "USE (-) FOR EAST LONG, SOUTH LAT"
2030 PRINT "Enter the Longitude (deg,min)":INPUT LO,OM
2040 L2=ABS(OM):IF LO<0 THEN OM=-L2
2050 L1=ABS(LO):LO=LO+OM/60:XO$="W LONG":IF LO<0 THEN XO$="E LONG"
2060 IF L1>179 THEN 8000
2070 IF L2>59.99 THEN 8000
2080 PRINT "Enter the Latitude (deg,min)":INPUT LA,AM
2090 L4=ABS(AM):IF LA<0 THEN AM=-L4
2100 L3=ABS(LA):LA=LA+AM/60:XA$="N LAT":IF LA<0 THEN XA$="S LAT"
2110 IF L3>89 THEN 8000
2120 IF L4>59.99 THEN 8000
2130 QA=LA:QO=LO
2135 RETURN
2140 QP=(180-QO)/20:C=INT(QP):B$=CHR$(C+65):R=(QP-C)*10:C=INT(R):D$=CHR$(C+48)
2150 M=(R-C)*24:C=INT(M):F$=CHR$(C+65):QB=(QA+90)/10:C=INT(QB):C$=CHR$(C+65)
2160 R=(QB-C)*10:C=INT(R):E1$=CHR$(C+48):M=(R-C)*24:C=INT(M):G$=CHR$(C+65)
2170 A$=B$+C$+D$+E1$+F$+G$
2180 PRINT:PRINT "At ";INT(L1);"/";FNA(L2);XO$;" - ";INT(L3);"/";FNA(L4);XA$
2190 PRINT "The GridLocator is ";A$
2900 RETURN
8000 REM ERROR TRAP
8010 PRINT "ERROR ENCOUNTERED !!!"
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500 
9040 RUN "CADMENU.BAS"
9050 END
 another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
903