10 REM *** HORN ANTENNA DESIGNER ***
20 REM
30 REM Copyright 1982 Gary A. Field
35 REM Last Modified 10/08/82
40 REM
45 REM RUNS UNDER MICROSOFT BASIC Ver. 5.03
47 REM
50 OPEN "I",#1,"CONFIG.DAT":INPUT #1,A$
52 INPUT #1,N:FOR I=1 TO N:INPUT #1,S:E$=E$+CHR$(S):NEXT I
54 CLOSE #1
55 REM
100 REM F = Frequency of operation
110 REM H = Heigth of aperture
120 REM W = Width of aperture
130 REM L = Length of horn section
140 REM G = Gain (Numerical)
150 REM G1 = Gain (dB over isotropic)
160 REM W1 = Beamwidth of Horn
170 REM
500 IF E$="CLS" THEN CLS :ELSE PRINT E$;
505 PRINT TAB(15);"HORN ANTENNA DESIGNER"
510 PRINT
520 PRINT "(1) Pyramidal horn, Specify Gain"
530 PRINT "(2) Pyramidal horn, Specify Beamwidth "
540 PRINT "(3) Cylindrical Horn Design"
550 PRINT "(M) Return to Main Menu"
560 PRINT
570 PRINT "Enter choice ";
580 INPUT A$
590 IF A$ = "1" THEN 1000
600 IF A$ = "2" THEN 2000
610 IF A$ = "3" THEN 3000
620 IF A$ = "M" THEN 9900
630 IF A$ = "m" THEN 9900
640 GOTO 500
1000 IF E$="CLS" THEN CLS :ELSE PRINT E$;
1010 GOSUB 5000:REM ASK METRIC/ENGLISH
1020 GOSUB 6000:REM GET FREQUENCY
1030 PRINT "Enter desired GAIN (dB) ";
1040 INPUT G1
1050 G = 10^(G1/10)
1060 W = SQR( (70 * G * L9^2) / 510 )
1070 H = (W * 51)/ 70
1080 L = W^2/ L9
1100 W1 = (70 * L9 ) / W
1105 PRINT
1110 PRINT "Beamwidth of horn = ";
1120 PRINT USING "###.#";W1;:PRINT " Degrees"
1140 GOTO 2200
2000 IF E$="CLS" THEN CLS :ELSE PRINT E$;
2010 GOSUB 5000
2020 GOSUB 6000
2030 PRINT "Enter desired Beamwidth (deg.) ";
2040 INPUT W1
2050 W = (70 * L9) / W1
2060 H = (W * 51) /70
2070 L = W^2/ L9
2075 G1 = 10 * (LOG( (10 * W * H) / L9^2 )*.43429)
2077 PRINT
2080 PRINT "Gain of horn = ";
2090 PRINT USING "###.#";G1;:PRINT " dB over isotropic"
2200 PRINT "LENGTH of horn   = ";
2210 PRINT USING "####.#";L*C9;:PRINT U$
2230 PRINT "WIDTH of opening = ";
2240 PRINT USING "####.#";W*C9;:PRINT U$
2250 PRINT "HEIGHT of opening = ";
2260 PRINT USING "####.#"; H*C9;:PRINT U$
2270 PRINT
2280 GOTO 9000
3000 REM *** TIN CAN HORN DESIGN ***
3030 RUN "CHORN.BAS"
5000 PRINT "Do you want Metric or English units (M/E) ";
5010 INPUT A$
5015 C9 = 1:U$ = " cm"
5020 IF A$ = "E" THEN 5040
5030 IF A$ <> "e" THEN 5050
5040 C9 = .3937:U$ = " In"
5050 PRINT
5060 RETURN
6000 PRINT "Enter frequency of operation (MHz) ";
6010 INPUT F
6020 L9 = (299.793/F) *100
6030 RETURN
9000 PRINT : PRINT "Do you want another run (Y/N) ";
9010 INPUT A$
9020 IF A$ = "Y" THEN 500
9030 IF A$ = "y" THEN 500
9900 RUN "CADMENU.BAS"
9999 END
